# cloudgaze-cli

![Documentation Status](https://readthedocs.org/projects/cloudgaze/badge/?version=latest)

Documentation can be found at https://cloudgaze.readthedocs.io/en/latest/

---

CLI (command line interface) to call the Cloudgaze API to transform your AWS cloudformation template specifications to draw.io compatible xml files.

This command line application makes a network call in the background to convert the template file. No data is stored on the remote endpoint, and you need to be connected to the internet to use this tool. The communication is encrypted using TLS.

## Install
`pip install cloudgaze-cli`

## Usage
```bash
$ cloudgaze --help
Usage: cloudgaze [OPTIONS] TEMPLATE_FILE OUTPUT_FILE

Options:
  --help  Show this message and exit.
```

```bash
$ cloudgaze ./path/to/template.yml ./path/to/output.xml
results written to '/abs/path/to/output.xml'
```

## Examples

For example, the analytics template file for the [AWS realworld serverless application example][1] will render the following diagram in draw.io:

![Example of analytics template output](docs/analytics_example.png)

To see the diagram in the above form, the output from cloudgaze have to be opened in draw.io or a compatible application. The diagram can then be modified in the application. 

The resources will be connected with arrows to indicate a dependency.

[1]: https://github.com/awslabs/realworld-serverless-application/blob/master/analytics/sam/app/template.yaml